apiVersion: cdi.kubevirt.io/v1beta1
kind: DataVolume
metadata:
  annotations:
    cdi.kubevirt.io/storage.bind.immediate.requested: "true"
    cdi.kubevirt.io/storage.deleteAfterCompletion: "false"
    cdi.kubevirt.io/storage.usePopulator: "true"
    forklift.konveyor.io/disk-source: '[v2v_general_porpuse_FC_DC] rhel79-50gb-70usage-vm-25/rhel79-50gb-70usage-vm-25_3.vmdk'
    migration: d6d18d24-d136-4cf6-baf0-4666a57d92f7
    plan: d32a794f-c1a6-471a-b2e3-70a074e146ea
    vmID: vm-13660
  creationTimestamp: "2024-11-30T13:26:17Z"
  generateName: mtv273-50vms-5esxs-1ds-vm-13660-
  generation: 2
  labels:
    migration: d6d18d24-d136-4cf6-baf0-4666a57d92f7
    plan: d32a794f-c1a6-471a-b2e3-70a074e146ea
    vmID: vm-13660
  name: mtv273-50vms-5esxs-1ds-vm-13660-l7jxv
  namespace: mtv273-50vms-5esxs
  resourceVersion: "881602413"
  uid: 48451b93-d39d-46e1-83aa-25b7d74777df
spec:
  checkpoints:
  - current: 2245-snapshot-24
    previous: ""
  - current: 2245-snapshot-25
    previous: 52 7e 9b 8c 4e 6a dd ba-e4 a3 b8 e1 41 3f 63 9c/60
  finalCheckpoint: true
  source:
    vddk:
      backingFile: '[v2v_general_porpuse_FC_DC] rhel79-50gb-70usage-vm-25/rhel79-50gb-70usage-vm-25_3.vmdk'
      initImageURL: quay.io/qiyuan1/test7
      secretRef: mtv273-50vms-5esxs-1ds-vm-13660-dlr9s
      thumbprint: BB:D2:7C:71:B9:1F:22:F9:68:F3:60:4A:CF:DA:27:66:D1:A4:05:EC
      url: https://10.1.39.47/sdk
      uuid: 4235cbc6-b7fe-5e4c-88dc-cdd606aa536a
  storage:
    resources:
      requests:
        storage: 50Gi
    storageClassName: ocs-storagecluster-ceph-rbd
status:
  claimName: mtv273-50vms-5esxs-1ds-vm-13660-l7jxv
  conditions:
  - lastHeartbeatTime: "2024-11-30T13:26:17Z"
    lastTransitionTime: "2024-11-30T13:26:17Z"
    message: PVC mtv273-50vms-5esxs-1ds-vm-13660-l7jxv Pending
    reason: Pending
    status: "False"
    type: Bound
  - lastHeartbeatTime: "2024-12-01T11:10:04Z"
    lastTransitionTime: "2024-11-30T13:26:17Z"
    status: "False"
    type: Ready
  - lastHeartbeatTime: "2024-12-01T11:10:04Z"
    lastTransitionTime: "2024-12-01T11:10:04Z"
    message: 'Unable to connect to vddk data source: no snapshots for this VM'
    reason: Error
    status: "False"
    type: Running
  phase: ImportInProgress
  progress: 100.0%
  restartCount: 252
